<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Colorize your life!</title>
  <script src="{{ url_for('static', filename='js/jquery-3.5.0.js') }}"></script>
  <link href="{{ url_for('static', filename='css/bootstrap.css') }}" rel="stylesheet" />
  <script src="{{ url_for('static', filename='js/bootstrap.js') }}"></script>
  <script src="{{ url_for('static', filename='js/bootstrap.bundle.js') }}"></script>
  <script>
    $(function () {
      $('[data-toggle="tooltip"]').tooltip()
    })
  </script>
  <link href="https://fonts.googleapis.com/css?family=Poppins:400,600&display=swap" rel="stylesheet">
  <link href="{{ url_for('static', filename='css/style.css') }}" rel="stylesheet" />
  <script src="{{ url_for('static', filename='js/particles.min.js') }}"></script>
  <script>
    /* particlesJS.load(@dom-id, @path-json, @callback (optional)); */
    particlesJS.load('particles-js', "{{ url_for('static', filename='js/particlesjs-config.json') }}", function () {
      
    });
  </script>
  <style>
    {% if user is not none %}
    #particles-js {
      position: absolute;
      width: 100%;
      height: 100%;
      background: #74f89c;
      z-index: -1;
    }
    {% else %}
    #particles-js {
      position: absolute;
      width: 100%;
      height: 100%;
      background: #838cff;
      z-index: -1;
    }
    {% endif %}
    
  </style>
  {{ toastr.include_toastr_css() }}
  {{ toastr.message() }}
</head>

<body class="bg-light">
  {{ toastr.include_toastr_js() }}
  <div id="particles-js"></div>
  

  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="pt-5 text-center">
          <img class="d-block mx-auto mb-4" src="{{ url_for('static', filename='logo.png') }}" alt="" height="140">
          <h2>Colorize your life!</h2>
          <p class="lead">{{user.username}} panel</p>
        </div>
      </div>
    </div>
    <div class="row" id="results-row" style="display:none" >
      <div class="col-12 d-flex justify-content-center">
        <img src="" id="black_picture" class="mr-2 mb-2 rounded" style="width: 256px;height: 256px;" />
        <div class="loader ml-4 mb-4"></div>
  
        <img src="" id="color_picture" class="ml-2 mb-2 rounded" style="display:none; width: 256px;height: 256px;" />
      </div>
    </div>
    <div class="row" id="drop-row">
      <div class="col-12">
        <div id="drop-area">
          <form class="my-form">
            <p>Drag and drop a picture or just press the button</p>
            <input type="file" id="fileElem" multiple="false" accept="image/jpeg, image/png"
              onchange="handleFiles(this.files)">
            <input type="hidden" name="ajax_csrf_token" value="{{ csrf_token() }}" />

            <label class="btn btn-danger" for="fileElem">Select a picture</label>
          </form>
          <!--progress id="progress-bar" max=100 value=0></progress-->
          <div id="gallery" class="text-center" ></div>
        </div>
      </div>
    </div>
    {% for picture in pictures %}
    <div class="row m-2">
      <div class="col-12 d-flex justify-content-around">
        <div class="w-50 bg-light p-2">
          <h4 class="text-center"><a href="{{picture._id}}">{{picture.date.strftime('%d-%m-%Y %H:%M:%S')}}</a></h4>
          <img src="{{picture.picture_array_black }}" class="rounded float-left" style="width: 256px;height: 256px;"  alt="...">
          <img src="{{ picture.picture_array_color }}" class="rounded float-right" style="width: 256px;height: 256px;" alt="...">
        </div>
      </div>
    </div>
    {% endfor %}
  </div>

  
  <div class="row">
    <div class="col-12 d-flex flex-column align-items-center">
      {% if user is not none %}
      <h4>Hello {{user.username}}!</h4>
      <a href="{{ url_for('admin.logout') }}" class="btn btn-primary" data-toggle="tooltip" data-placement="bottom" title="Press here and logout">Logout</a>
      {% endif %}


    </div>
  </div>

  <footer class="my-5 pt-5 text-dark text-center text-small">
    <p class="mb-1">&copy; {{ now.year }} - Colorize</p>
  </footer>
  </div>

  <script>
    var intervalId = null;

    function tryGettingNewPicture(imageId){
      $.ajax({
            type: "GET",
            dataType: "json",
            url: "/pictureIsReady/" + imageId,
        })
        .done(function(data, textStatus, jqXHR) {
            if(data.is_ready){
              console.log("YA ESTA LA FOTOOO");
              $('.loader').hide();
              $('#color_picture').attr('src', data.filename_color);
              $('#color_picture').fadeIn();
              clearInterval(intervalId)
            }else{
              if(data.error){
                console.log("Un problema ha pasado: " + data.error)
              }else{
                console.log("Picture is not ready yet")
              }
            }
        });
    }

    function waitForPredictedPicture(json) {
      $('#drop-row').hide();
      json = JSON.parse(json);
      console.log(json);
      if(json.success){
        imageId = json.service_result.obj.id;
        $('#black_picture').attr('src', json.service_result.obj.filename_black);
        $('#black_picture')
        $('.loader')
        $('#results-row').fadeIn();
        intervalId = setInterval(tryGettingNewPicture, 1000, imageId);
      }else{
        toastr.error(json.error, "error");
      }
      
    }
  </script>


  <script src="{{ url_for('static', filename='js/script.js') }}"></script>

</body>

</html>